<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto" android:layout_width="match_parent"
    android:layout_height="match_parent" android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    android:paddingBottom="@dimen/activity_vertical_margin"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:showIn="@layout/activity_main" tools:context=".MainActivity"
    android:id="@+id/SetLimit">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/limit_lay">

        <android.support.v7.widget.CardView
            xmlns:card_view="http://schemas.android.com/apk/res-auto"
            android:id="@+id/card_view1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            card_view:cardCornerRadius="4dp"
            android:background="@color/white"
            android:paddingTop="@dimen/activity_horizontal_margin"
            android:paddingBottom="@dimen/activity_horizontal_margin">

            <RelativeLayout
                android:orientation="horizontal" android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:id="@+id/catIcon"
                    android:src="@drawable/taxi"
                    android:layout_width="30dp"
                    android:layout_height="30dp" />
                <TextView
                    android:layout_toRightOf="@+id/catIcon"
                    android:layout_marginLeft="10dp"
                    android:text="catégorie"
                    android:id="@+id/cat_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />
                <TextView
                    android:text="periode"
                    android:id="@+id/limit_period"
                    android:layout_toLeftOf="@+id/montant"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />
                <TextView
                    android:id="@+id/montant"
                    android:text="montant"
                    android:layout_toLeftOf="@+id/limit_del"
                    android:layout_marginLeft="10dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <ImageButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/limit_del"
                    android:layout_alignParentRight="true"
                    android:src="@drawable/ic_popup"
                    android:contentDescription="@string/descr_overflow_button"
                    android:background="@color/white"
                    />
            </RelativeLayout>

            </android.support.v7.widget.CardView>

    </LinearLayout>
    <TextView android:text="Nom_Catégorie"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingTop="@dimen/activity_horizontal_margin"
        android:layout_centerHorizontal="true"
        android:id="@+id/categorie"
        android:layout_below="@+id/limit_lay"/>
    <EditText
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_below="@+id/categorie"
        android:id="@+id/limite"
        android:inputType="numberDecimal"

        />
    <TextView
        android:text="periode:"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/limite"
        android:id="@+id/periode"
        />
    <RadioGroup
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/periode"
        android:id="@+id/radioGroup">
        <RadioButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Par jour."
            android:id="@+id/jour"

            />
        <RadioButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Par semaine."
            android:id="@+id/semaine"
            />
        <RadioButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Par mois."
            android:id="@+id/mois"
            />
        <RadioButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Personaliser:"
            android:id="@+id/personaliser"
            />
    </RadioGroup>
    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/radioGroup"
        android:id="@+id/datePerso"
       >
        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/debutLayout">


        <TextView
            android:text="Date début:"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/debut" />
        <Button
            android:id="@+id/dateDebicon"
            android:src="@drawable/calender"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_below="@+id/debut"
            android:clickable="false"
            />
            <TextView
                android:text=""
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/dateDebicon"
                android:layout_centerInParent="true"
                android:id="@+id/DateDEbText"/>


        </RelativeLayout>

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/finLayout"
            android:layout_below="@+id/debutLayout">

        <TextView
            android:text="Date fin:"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:id="@+id/fin"/>
        <Button
            android:src="@drawable/calender"
            android:id="@+id/dateFinicon"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_below="@+id/fin"
            android:clickable="false"
            />
            <TextView
                android:text=""
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/dateFinicon"
                android:layout_centerInParent="true"
                android:id="@+id/DateFinText"/>


        </RelativeLayout>
    </RelativeLayout>
    <Button
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:text="Valider"
        android:layout_below="@+id/datePerso"
        android:id="@+id/valider"/>

</RelativeLayout>
